Skip to content
Start here

Get certificate authority details

client.Radar.CT.Authorities.Get(ctx, caSlug, query) (*CTAuthorityGetResponse, error)
GET/radar/ct/authorities/{ca_slug}

Retrieves the requested CA information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
caSlug string

Certificate authority SHA256 fingerprint.

query CTAuthorityGetParams
Format param.Field[CTAuthorityGetParamsFormat]optional

Format in which results will be returned.

const CTAuthorityGetParamsFormatJson CTAuthorityGetParamsFormat = "JSON"
const CTAuthorityGetParamsFormatCsv CTAuthorityGetParamsFormat = "CSV"
ReturnsExpand Collapse
type CTAuthorityGetResponse struct{…}
CertificateAuthority CTAuthorityGetResponseCertificateAuthority
AppleStatus CTAuthorityGetResponseCertificateAuthorityAppleStatus

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityAppleStatusIncluded CTAuthorityGetResponseCertificateAuthorityAppleStatus = "INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusNotYetIncluded CTAuthorityGetResponseCertificateAuthorityAppleStatus = "NOT_YET_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusNotIncluded CTAuthorityGetResponseCertificateAuthorityAppleStatus = "NOT_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusNotBefore CTAuthorityGetResponseCertificateAuthorityAppleStatus = "NOT_BEFORE"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusRemoved CTAuthorityGetResponseCertificateAuthorityAppleStatus = "REMOVED"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusDisabled CTAuthorityGetResponseCertificateAuthorityAppleStatus = "DISABLED"
const CTAuthorityGetResponseCertificateAuthorityAppleStatusBlocked CTAuthorityGetResponseCertificateAuthorityAppleStatus = "BLOCKED"
AuthorityKeyIdentifier string

The authorityKeyIdentifier value extracted from the certificate PEM.

CertificateRecordType CTAuthorityGetResponseCertificateAuthorityCertificateRecordType

Specifies the type of certificate in the trust chain.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityCertificateRecordTypeRootCertificate CTAuthorityGetResponseCertificateAuthorityCertificateRecordType = "ROOT_CERTIFICATE"
const CTAuthorityGetResponseCertificateAuthorityCertificateRecordTypeIntermediateCertificate CTAuthorityGetResponseCertificateAuthorityCertificateRecordType = "INTERMEDIATE_CERTIFICATE"
ChromeStatus CTAuthorityGetResponseCertificateAuthorityChromeStatus

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityChromeStatusIncluded CTAuthorityGetResponseCertificateAuthorityChromeStatus = "INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusNotYetIncluded CTAuthorityGetResponseCertificateAuthorityChromeStatus = "NOT_YET_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusNotIncluded CTAuthorityGetResponseCertificateAuthorityChromeStatus = "NOT_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusNotBefore CTAuthorityGetResponseCertificateAuthorityChromeStatus = "NOT_BEFORE"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusRemoved CTAuthorityGetResponseCertificateAuthorityChromeStatus = "REMOVED"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusDisabled CTAuthorityGetResponseCertificateAuthorityChromeStatus = "DISABLED"
const CTAuthorityGetResponseCertificateAuthorityChromeStatusBlocked CTAuthorityGetResponseCertificateAuthorityChromeStatus = "BLOCKED"
Country string

The two-letter ISO country code where the CA organization is based.

CountryName string

The full country name corresponding to the country code.

MicrosoftStatus CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusIncluded CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusNotYetIncluded CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "NOT_YET_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusNotIncluded CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "NOT_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusNotBefore CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "NOT_BEFORE"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusRemoved CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "REMOVED"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusDisabled CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "DISABLED"
const CTAuthorityGetResponseCertificateAuthorityMicrosoftStatusBlocked CTAuthorityGetResponseCertificateAuthorityMicrosoftStatus = "BLOCKED"
MozillaStatus CTAuthorityGetResponseCertificateAuthorityMozillaStatus

The inclusion status of a Certificate Authority (CA) in the trust store.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusIncluded CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusNotYetIncluded CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "NOT_YET_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusNotIncluded CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "NOT_INCLUDED"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusNotBefore CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "NOT_BEFORE"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusRemoved CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "REMOVED"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusDisabled CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "DISABLED"
const CTAuthorityGetResponseCertificateAuthorityMozillaStatusBlocked CTAuthorityGetResponseCertificateAuthorityMozillaStatus = "BLOCKED"
Name string

The full name of the certificate authority (CA).

Owner string

The organization that owns and operates the CA.

ParentName string

The name of the parent/root certificate authority that issued this intermediate certificate.

ParentSha256Fingerprint string

The SHA-256 fingerprint of the parent certificate.

One of the following:
One of the following:
RevocationStatus CTAuthorityGetResponseCertificateAuthorityRevocationStatus

The current revocation status of a Certificate Authority (CA) certificate.

One of the following:
const CTAuthorityGetResponseCertificateAuthorityRevocationStatusNotRevoked CTAuthorityGetResponseCertificateAuthorityRevocationStatus = "NOT_REVOKED"
const CTAuthorityGetResponseCertificateAuthorityRevocationStatusRevoked CTAuthorityGetResponseCertificateAuthorityRevocationStatus = "REVOKED"
const CTAuthorityGetResponseCertificateAuthorityRevocationStatusParentCERTRevoked CTAuthorityGetResponseCertificateAuthorityRevocationStatus = "PARENT_CERT_REVOKED"
Sha256Fingerprint string

The SHA-256 fingerprint of the intermediate certificate.

SubjectKeyIdentifier string

The subjectKeyIdentifier value extracted from the certificate PEM.

ValidFrom string

The start date of the certificate’s validity period (ISO format).

ValidTo string

The end date of the certificate’s validity period (ISO format).

Get certificate authority details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  authority, err := client.Radar.CT.Authorities.Get(
    context.TODO(),
    "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
    radar.CTAuthorityGetParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", authority.CertificateAuthority)
}
{
  "result": {
    "certificateAuthority": {
      "appleStatus": "INCLUDED",
      "authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
      "certificateRecordType": "ROOT_CERTIFICATE",
      "chromeStatus": "INCLUDED",
      "country": "PT",
      "countryName": "Portugal",
      "microsoftStatus": "INCLUDED",
      "mozillaStatus": "INCLUDED",
      "name": "MULTICERT Advanced Certification Authority 005",
      "owner": "MULTICERT",
      "parentName": "MULTICERT Root Certification Authority 01",
      "parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
      "related": [
        {
          "certificateRecordType": "ROOT_CERTIFICATE",
          "name": "MULTICERT Advanced Certification Authority 005",
          "revocationStatus": "NOT_REVOKED",
          "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
        }
      ],
      "revocationStatus": "NOT_REVOKED",
      "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
      "subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
      "validFrom": "2019-12-09",
      "validTo": "2032-06-08"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateAuthority": {
      "appleStatus": "INCLUDED",
      "authorityKeyIdentifier": "1TkcnFtvBKqilUzvIN0pdKTFRXE",
      "certificateRecordType": "ROOT_CERTIFICATE",
      "chromeStatus": "INCLUDED",
      "country": "PT",
      "countryName": "Portugal",
      "microsoftStatus": "INCLUDED",
      "mozillaStatus": "INCLUDED",
      "name": "MULTICERT Advanced Certification Authority 005",
      "owner": "MULTICERT",
      "parentName": "MULTICERT Root Certification Authority 01",
      "parentSha256Fingerprint": "604D32D036895AED3BFEFAEB727C009EC0F2B3CDFA42A1C71730E6A72C3BE9D4",
      "related": [
        {
          "certificateRecordType": "ROOT_CERTIFICATE",
          "name": "MULTICERT Advanced Certification Authority 005",
          "revocationStatus": "NOT_REVOKED",
          "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3"
        }
      ],
      "revocationStatus": "NOT_REVOKED",
      "sha256Fingerprint": "24EDD4E503A8D3FDB5FFB4AF66C887359901CBE687A5A0760D10A08EED99A7C3",
      "subjectKeyIdentifier": "VbqXmCURhMmiMtD7nFY6iCr4z",
      "validFrom": "2019-12-09",
      "validTo": "2032-06-08"
    }
  },
  "success": true
}